MKDIR(1)

NAME
mkdir - make directories

SYNOPSIS
mkdir [-p] [-m mode] [--parents] [--mode=mode] [--help] [--version] dir...

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of mkdir. mkdir creates a directory with each given name. By default, the mode of created directories is 0777 minus the bits set in the umask.

  OPTIONS

-m, --mode mode
    Set the mode of created directories to mode, which is symbolic as in chmod and uses the default mode as the point of departure.

-p, --parents
    Ensure that each given directory exists. Create any missing parent directories for each argument. Parent directories default to the umask modified by `u+wx'. Do not consider an argument directory that already exists to be an error.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.